<?php

namespace apexl\Io\modules\userDisplay\components;

use apexl\Io\modules\display\components\EntityDisplayTile;
use apexl\Io\modules\user\entities\roleEntity;

readonly class roleEntityDisplayTile extends EntityDisplayTile
{
    public function __construct($filters = '')
    {
        parent::__construct(new roleEntity());
        $this->addContentTitle('Newest roles', '', 5)
            ->addTable($filters, false, 'roleEntity.data.summery')
            ->addButtonFooter([
                'roleEntity.display.post' => 'Create',
                'roleEntity.display.all' => 'View All',
            ]);
    }
}
